## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate difftastic

Name:           rust-difftastic
Version:        0.60.0
Release:        %autorelease
Summary:        Structural diff that understands syntax

License:        MIT
URL:            https://crates.io/crates/difftastic
Source:         %{crates_source}
Source:         https://github.com/Wilfred/difftastic/raw/%{version}/difft.1
# Manually created patch for downstream crate metadata changes
# * drop crossterm/windows
# * unpin libmimalloc-sys
# * relax upper bounds on:
# * - assert_cmd
# * - bumpalo
# * - home
# * - ignore
Patch:          difftastic-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A structural diff that understands syntax.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# MIT
# MIT AND Unicode-DFS-2016 AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib
License:        MIT AND (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-2-Clause AND BSD-3-Clause AND LicenseRef-Fedora-Public-Domain AND (Unlicense OR MIT) AND Zlib
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/difft
%{_mandir}/man1/difft.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# manpage
cp -p %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manpage
mkdir -p %{buildroot}%{_mandir}/man1
cp -p difft.1 %{buildroot}%{_mandir}/man1/

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Aug 20 2024 Michel Lind <salimma@fedoraproject.org> - 0.60.0-2
- Ship manpage

* Mon Aug 19 2024 Michel Lind <salimma@fedoraproject.org> - 0.60.0-1
- Update to version 0.60.0; Fixes: RHBZ#2299055

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.57.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.57.0-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Mon Apr 22 2024 Michel Lind <salimma@fedoraproject.org> - 0.57.0-1
- Update to 0.57.0 (rhbz#2272600)

* Fri Mar 08 2024 Michel Lind <salimma@fedoraproject.org> - 0.56.1-1
- Update to 0.56.1 (rhbz#2268044)

* Tue Feb 06 2024 Michel Lind <salimma@fedoraproject.org> - 0.55.0-1
- Update to 0.55.0 (fixes: rhbz#2262305)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Michel Lind <salimma@fedoraproject.org> - 0.54.0-1
- Update to 0.54.0

* Tue Dec 05 2023 Michel Lind <salimma@fedoraproject.org> - 0.53.1-1
- Update to 0.53.1

* Tue Aug 29 2023 Michel Lind <salimma@fedoraproject.org> - 0.51.1-1
- Update to 0.51.1

* Mon Aug 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.50.0-2
- Fix typo on License field

* Mon Aug 21 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.50.0-1
- Update to 0.50.0

* Sat Aug 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.49.0-1
- Update to 0.49.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.45.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Mar 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.0-2
- Lower minimum version of assert_cmd to 2.0.4 (2.0.8 needs cargo2rpm,
  2.0.5 was never packaged)
- rebuild against libmimalloc-sys 0.1.30

* Sat Mar 04 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.45.0-1
- Update to 0.45.0

* Wed Feb 15 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.43.1-1
- Update to 0.43.1

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.42.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.42.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.42.0-1
- Update to 0.42.0

* Thu Jan 05 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.39.0-1
- Initial Fedora package
## END: Generated by rpmautospec
